# Notice de montage du robot suiveur de ligne

## Circuit électronique

Voici le shéma global:

![Shema](electronics/robot-soudure-composants-v2.svg)


La première face correspond aux pistes à créer sur la plaque à pastille.

La seconde face est le coté composants.


### Les connecteurs femelles qui recevront l'arduino

* Prendre 2 rangées de connecteurs Pin femelles.
* Avec une pince coupante, les couper au milieu de la 16ème PIN, de façon à ce que 15 pins soient utilisables

* les placer sur la plaque de prototypage

![photo connecteurs pins femelle](doc/connecteurspinFemelle.jpg)

* Coté circuit, souder chaque pin:

![photo connecteurs pins femelle verso](doc/connnecteurspinFelemmeBack.jpg)

###La piste 5V et le Ground

Afin de vous faire la main avec les soudures, Faites tout le circuit 5V (en rouge):

* En faisant en sorte que la continuité soit respectée.
* Sans déborder sur les pastilles d'à coté.

![5V](electronics/robot-soudure-composants-v2-5V.svg)

### Souder quelques composants

* Coté composants de la plaque, placer ces trois résistances:

![resistances](electronics/robot-soudure-composants-v2-3-resistances.svg)

* Coté circuit, mettre un point de soudure sur les pates des résistances pour les fixer (points marqués en rouge).

![resistances](electronics/robot-soudure-composants-v2-3-resistances-verso.svg)

* Raccorder ces résistances à la masse de l'arduino:

![resistances](electronics/robot-soudure-composants-v2-3-resistances-verso-gnd.svg)


Raccorder deux de ces résistances aux pins de l'arduino:


![resistances](/electronics/robot-soudure-composants-v2-3-resistances-verso-arduino.svg)

### Continuez!

Voila, vous avez compris, il faut placer les composants un par un, les souder et faire les lignes d'étain pour les relier conformément au circuit.

Le pas à pas s'arrète ici car c'est fastidieux à écrire. Continuez composant par composant, goute d'étain goute d'étain.

Quelques subtilités cependant pour la suite:

#### le capteur doit froler le sol
Les LEDS et les photoresistances du capteur de ligne doivent être soudées de facon:
* la photoresistance doit être le plus près possible du sol
* La led ne doit pas éclairer directement la photoresistance, ses pates doivent etre plus courtes.

Comme ceci:

![led](doc/led-et-photoresistance.jpg)


#### Composants sur l'autre face

Les Leds de Debugage doivent etre coté circuit de la plaque, et non du même coté que les autres composants, afin qu'à la fin elles se retouvent au dessus du circuit.


## Arduino

Il faut souder les broches de l'arduino:

Le port USB doit etre sur la face opposée aux broches.


![arduino](doc/arduino2.jpg)

## Fils  avec connecteurs dupont sur les moteurs

Coupez Un cable avec connecteurs Dupont male, dénudez-le et soudez le sur les connecteurs du moteur. Comme ceci:

![motor](doc/motor.jpg)

Longueur du fil, avec le connecteur: env 7cm



## Tout assembler

